Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
A de-bloated ebuild for gucharmap-2.30
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5879

PostPosted: Sat Dec 04, 2010 7:14 pm    Post subject: A de-bloated ebuild for gucharmap-2.30 Reply with quote

Today I came across bug 318699 about this package's useless dependencies - gnome-doc-utils, scrollkeeper (which is a dummy package that does nothing), and libxml[+python]. Since I don't subscribe to the GNOME mindset of Being Told How I Will Use My Computer, I decided to ignore the wontfix status and fixed it anyway. So here's a patch; the program works perfectly fine for me (with USE=gnome), hopefully it will for you too:

Code:
--- /var/db/paludis/repositories/gentoo/gnome-extra/gucharmap/gucharmap-2.30.3.ebuild   2010-08-30 23:04:09.000000000 +0100
+++ /home/ant/code/ebuilds/gnome-extra/gucharmap/gucharmap-2.30.3.ebuild   2010-12-04 16:49:51.366347362 +0000
@@ -19,10 +19,8 @@
    gnome? ( gnome-base/gconf )
    python? ( >=dev-python/pygtk-2.7.1 )"
 DEPEND="${RDEPEND}
-   app-text/scrollkeeper
    >=dev-util/pkgconfig-0.9
    >=dev-util/intltool-0.40
-   >=app-text/gnome-doc-utils-0.9.0
    doc? ( >=dev-util/gtk-doc-1.0 )
    test? ( ~app-text/docbook-xml-dtd-4.1.2 )"
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Dec 04, 2010 9:26 pm    Post subject: Reply with quote

thanks !

that's really helpful :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2152

PostPosted: Mon Dec 06, 2010 3:53 pm    Post subject: Reply with quote

Appreciated, thanks.
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5879

PostPosted: Tue Dec 07, 2010 9:59 pm    Post subject: Reply with quote

I noticed 2.32.1 is out now; while you *can* just reapply this patch to the new gentoo version, you might want to fix the licence to "GPL-3", as the maintainer obviously isn't paying attention. ;)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum